// Borland C++ Builder
// Copyright (c) 1995, 1999 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'ZMySqlTr.pas' rev: 5.00

#ifndef ZMySqlTrHPP
#define ZMySqlTrHPP

#pragma delphiheader begin
#pragma option push -w-
#pragma option push -Vx
#include <ZSqlTypes.hpp>	// Pascal unit
#include <ZTransact.hpp>	// Pascal unit
#include <ZMySqlCon.hpp>	// Pascal unit
#include <ZToken.hpp>	// Pascal unit
#include <ZLibMySql.hpp>	// Pascal unit
#include <ZDirMySql.hpp>	// Pascal unit
#include <ZDirSql.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <Db.hpp>	// Pascal unit
#include <SysUtils.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Zmysqltr
{
//-- type declarations -------------------------------------------------------
class DELPHICLASS TZZMySqlTransact;
class PASCALIMPLEMENTATION TZZMySqlTransact : public Ztransact::TZZTransact 
{
	typedef Ztransact::TZZTransact inherited;
	
private:
	Zmysqlcon::TZZMySqlDatabase* __fastcall GetDatabase(void);
	HIDESBASE void __fastcall SetDatabase(Zmysqlcon::TZZMySqlDatabase* Value);
	
public:
	__fastcall virtual TZZMySqlTransact(Classes::TComponent* AOwner);
	System::ShortString __fastcall GetHostInfo(void);
	unsigned __fastcall GetProtoInfo(void);
	System::ShortString __fastcall GetClientInfo(void);
	System::ShortString __fastcall GetServerInfo(void);
	System::ShortString __fastcall GetServerStat(void);
	void __fastcall Kill(int PID);
	void __fastcall Ping(void);
	void __fastcall Shutdown(void);
	virtual void __fastcall AddMonitor(Ztransact::TZZMonitor* Monitor);
	virtual void __fastcall DeleteMonitor(Ztransact::TZZMonitor* Monitor);
	
__published:
	__property Zmysqlcon::TZZMySqlDatabase* Database = {read=GetDatabase, write=SetDatabase};
	__property TransactSafe ;
public:
	#pragma option push -w-inl
	/* TZZTransact.Destroy */ inline __fastcall virtual ~TZZMySqlTransact(void) { }
	#pragma option pop
	
};


//-- var, const, procedure ---------------------------------------------------
static const Word LIST_BLOCK_SIZE = 0x1f4;
static const Shortint MIN_FETCH_ROWS = 0x0;
static const Shortint MAX_NAME_LENGTH = 0x32;
static const Shortint MAX_LINKS_COUNT = 0x5;
static const Shortint MAX_SORT_COUNT = 0x5;
static const Byte MAX_FIELD_COUNT = 0xff;
static const Shortint MAX_INDEX_COUNT = 0x19;
static const Shortint MAX_INDEX_FIELDS = 0x19;
static const Shortint DEFAULT_STRING_SIZE = 0x32;
static const Word MAX_STRING_SIZE = 0x200;
static const char DEFAULT_MACRO_CHAR = '\x25';
#define ZEOS_PALETTE "Zeos Common"
#define ZEOS_DB_PALETTE "Zeos Access"
static const Word ZDBO_VERSION = 0xc47c;

}	/* namespace Zmysqltr */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Zmysqltr;
#endif
#pragma option pop	// -w-
#pragma option pop	// -Vx

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// ZMySqlTr
